---
title: "List all Ringfence Rules."
slug: "list-all-ringfence-rules-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/list-all-ringfence-rules-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Ringfence Rules.

Get/ringfence-rules

List all Ringfence Rules visible to current user.

SecurityHTTPType bearer

Query parametersquerystring

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

rangestring

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBystring

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descendingstring

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object  property*string    additionalProperties
Example{
  "name": "us-east",
  "tags": "aws"
}

Responses200

List of Ringfence Rules.

<select class='api-response-data' aria-label='Media type'><option value='803647eb-59ff-4482-818c-2a80e3b82405'>application/json</option>
</select>Expand Allobject  rangestring    

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBystring    

The field name used to sort the list.

Examplename
descendingboolean    

Whether the sorting is applied descending or ascending.

queries Array of string   

The queries applied to the list.

string    
totalCountinteger    

The total readable count of entities. Not influenced by the query.

Example328
filterBy Array of object (FilterBy)   

The filters applied to the list.

object  namestring    

The field name the filter is applied to.

Examplename
valuestring    

The value used for comparison.

ExampleAWS

data Array of object (RingfenceRule)   

List of Ringfence Rules.

object  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
actions Array of object   

List of all ringfence actions in this Ringfence Rule.

object  protocolstring    

Protocol of the ringfence action.

Valid values[
  "icmp",
  "icmpv6",
  "udp",
  "tcp"
]
directionstring    

The direction of the action

Valid values[
  "up",
  "down",
  "out",
  "in"
]
actionstring    

Applied action to the traffic.

Valid values[
  "allow",
  "block"
]
hosts Array of string   

Destination address. IP address or hostname.

string    Example10.0.2.0/24
ports Array of string   

Destination port. Multiple ports can be entered comma separated. Port ranges can be entered dash separated. Only valid for tcp and udp subtypes.

Example[
  "80",
  "443",
  "1024-2048"
]string    
types Array of string   

ICMP type. Only valid for icmp protocol.

string    Example0-255

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='981660bd-c4c9-4e94-9f34-3e0cd771c9d9'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='b99c0422-4898-4a80-b85a-7fd8862609c6'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='ee368340-8ff2-44f5-a7b9-6b279c61e980'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='2b29aa63-0b17-4d07-b548-fc015ae1e93b'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
